package com.prolog.cs.biz.inbound.service.rcv;

import com.prolog.cs.biz.inbound.dto.PageParam;
import com.prolog.cs.biz.inbound.dto.rcv.RcvHeadersSrcBillsDTO;
import com.prolog.framework.authority.core.dto.UserDTO;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

/**
 * @Description  
 * @Date 2021-03-24 
 */

public interface RcvHeadersSrcBillsService {

	/**
 	* @Description   
 	* @Date 2021-03-24 
 	* add RcvHeadersSrcBillsDTO 
 	*/
	public Object add(RcvHeadersSrcBillsDTO rcvHeadersSrcBillsDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* edit RcvHeadersSrcBillsDTO 
 	*/
	public Object edit(String pkId,RcvHeadersSrcBillsDTO rcvHeadersSrcBillsDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* delete RcvHeadersSrcBillsDTO 
 	*/
	public Object deletePkId(String pkId);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* delete RcvHeadersSrcBillsDTO 
 	*/
	public Object delIds(List<String> pkIdList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* page condition search RcvHeadersSrcBillsDTO 
 	*/
	public Page<RcvHeadersSrcBillsDTO> findList(RcvHeadersSrcBillsDTO rcvHeadersSrcBillsDTO,PageParam pageParam);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* batchAdd RcvHeadersSrcBillsDTO 
 	*/
	public Object batchAdd(List<RcvHeadersSrcBillsDTO> rcvHeadersSrcBillsDTOList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* batchEdit RcvHeadersSrcBillsDTO 
 	*/
	public Object batchEdit(List<RcvHeadersSrcBillsDTO> rcvHeadersSrcBillsDTOList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* condition search all RcvHeadersSrcBillsDTO 
 	*/
	public List<RcvHeadersSrcBillsDTO> findAll(RcvHeadersSrcBillsDTO rcvHeadersSrcBillsDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* findOne RcvHeadersSrcBillsDTO 
 	*/
	public RcvHeadersSrcBillsDTO findByPkId(String pkId);

	public Object batchAdd(List<RcvHeadersSrcBillsDTO> rcvHeadersSrcBillsDTOList, String masterId, UserDTO userDTO);
}
